<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TableCellDescriptor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TableCellDescriptor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableCellDescriptor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableIterator.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/TableCellDescriptor.html" target="_top">Frames</a>
        </li>
        <li><a href="TableCellDescriptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class TableCellDescriptor" class="title">Class TableCellDescriptor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.TCAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.usermodel.TableCellDescriptor</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">TableCellDescriptor</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">TCAbstractType</a>
implements java.lang.Cloneable</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#SIZE">SIZE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.TCAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">TCAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_1_rgf">field_1_rgf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_10_ftsCellPaddingBottom">field_10_ftsCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_11_ftsCellPaddingRight">field_11_ftsCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_12_wCellSpacingLeft">field_12_wCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_13_wCellSpacingTop">field_13_wCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_14_wCellSpacingBottom">field_14_wCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_15_wCellSpacingRight">field_15_wCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_16_ftsCellSpacingLeft">field_16_ftsCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_17_ftsCellSpacingTop">field_17_ftsCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_18_ftsCellSpacingBottom">field_18_ftsCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_19_ftsCellSpacingRight">field_19_ftsCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_2_wWidth">field_2_wWidth</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_20_brcTop">field_20_brcTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_21_brcLeft">field_21_brcLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_22_brcBottom">field_22_brcBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_23_brcRight">field_23_brcRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_3_shd">field_3_shd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_4_wCellPaddingLeft">field_4_wCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_5_wCellPaddingTop">field_5_wCellPaddingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_6_wCellPaddingBottom">field_6_wCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_7_wCellPaddingRight">field_7_wCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_8_ftsCellPaddingLeft">field_8_ftsCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#field_9_ftsCellPaddingTop">field_9_ftsCellPaddingTop</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#TableCellDescriptor--">TableCellDescriptor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html"
                                        title="class in org.apache.poi.hwpf.usermodel">TableCellDescriptor</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#convertBytesToTC-byte:A-int-">convertBytesToTC</a></span>(byte[]&nbsp;buf,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.TCAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">TCAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getBrcBottom--">getBrcBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getBrcLeft--">getBrcLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getBrcRight--">getBrcRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getBrcTop--">getBrcTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellPaddingBottom--">getFtsCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellPaddingLeft--">getFtsCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellPaddingRight--">getFtsCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellPaddingTop--">getFtsCellPaddingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellSpacingBottom--">getFtsCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellSpacingLeft--">getFtsCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellSpacingRight--">getFtsCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsCellSpacingTop--">getFtsCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFtsWidth--">getFtsWidth</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getFUnused--">getFUnused</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getRgf--">getRgf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getShd--">getShd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getVertAlign--">getVertAlign</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellPaddingBottom--">getWCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellPaddingLeft--">getWCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellPaddingRight--">getWCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellPaddingTop--">getWCellPaddingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellSpacingBottom--">getWCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellSpacingLeft--">getWCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellSpacingRight--">getWCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWCellSpacingTop--">getWCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#getWWidth--">getWWidth</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFBackward--">isFBackward</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFFirstMerged--">isFFirstMerged</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFFitText--">isFFitText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFMerged--">isFMerged</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFNoWrap--">isFNoWrap</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFRotateFont--">isFRotateFont</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFVertical--">isFVertical</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFVertMerge--">isFVertMerge</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#isFVertRestart--">isFVertRestart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setBrcBottom-org.apache.poi.hwpf.usermodel.BorderCode-">setBrcBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setBrcLeft-org.apache.poi.hwpf.usermodel.BorderCode-">setBrcLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setBrcRight-org.apache.poi.hwpf.usermodel.BorderCode-">setBrcRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setBrcTop-org.apache.poi.hwpf.usermodel.BorderCode-">setBrcTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFBackward-boolean-">setFBackward</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFFirstMerged-boolean-">setFFirstMerged</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFFitText-boolean-">setFFitText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFMerged-boolean-">setFMerged</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFNoWrap-boolean-">setFNoWrap</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFRotateFont-boolean-">setFRotateFont</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellPaddingBottom-byte-">setFtsCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellPaddingLeft-byte-">setFtsCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellPaddingRight-byte-">setFtsCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellPaddingTop-byte-">setFtsCellPaddingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellSpacingBottom-byte-">setFtsCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellSpacingLeft-byte-">setFtsCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellSpacingRight-byte-">setFtsCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsCellSpacingTop-byte-">setFtsCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFtsWidth-byte-">setFtsWidth</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFUnused-byte-">setFUnused</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFVertical-boolean-">setFVertical</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFVertMerge-boolean-">setFVertMerge</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setFVertRestart-boolean-">setFVertRestart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setRgf-short-">setRgf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setShd-org.apache.poi.hwpf.usermodel.ShadingDescriptor-">setShd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setVertAlign-byte-">setVertAlign</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellPaddingBottom-short-">setWCellPaddingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellPaddingLeft-short-">setWCellPaddingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellPaddingRight-short-">setWCellPaddingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellPaddingTop-short-">setWCellPaddingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellSpacingBottom-short-">setWCellSpacingBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellSpacingLeft-short-">setWCellSpacingLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellSpacingRight-short-">setWCellSpacingRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWCellSpacingTop-short-">setWCellSpacingTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#setWWidth-short-">setWWidth</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SIZE</h4>
                                <pre>public static final&nbsp;int SIZE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hwpf.usermodel.TableCellDescriptor.SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="TableCellDescriptor--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TableCellDescriptor</h4>
                                <pre>public&nbsp;TableCellDescriptor()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()
                       throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertBytesToTC-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>convertBytesToTC</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html"
                                        title="class in org.apache.poi.hwpf.usermodel">TableCellDescriptor</a>&nbsp;convertBytesToTC(byte[]&nbsp;buf,
                                                   int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableCellDescriptor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/TableIterator.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/TableCellDescriptor.html" target="_top">Frames</a>
        </li>
        <li><a href="TableCellDescriptor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
